# Rolodex (Contacts & Organizations) The Contacts & Organizations, or Rolodex, app provides the Customer Relationship Management (CRM) capabilities of the Rhythm platform. Common integrations with the Rolodex API include finding or updating contact information, demographics, or communication preferences for a Contact or Organization. Like most of the other Rhythm apps, the Rolodex API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. Version: v1-2025-04-18 ## Servers ``` https://rolodex.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Rolodex (Contacts & Organizations)](https://docs.api.rhythmsoftware.com/_bundle/apis/rolodex/rolodex-v1.yaml) ## Account Delegation Processes Account Delegation Processes ### Gets all of the account delegation processes in the system. - [GET /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/listaccountdelegationprocesses.md): This method will scan all account delegation processes and and return them to the caller. ### Creates a new account delegation process record that does not already exist. - [POST /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/createaccountdelegationprocess.md): This method will auto-generate an ID and create a new account delegation process. If an ID is specified for the account delegation process, an error will be thrown. ### Execute Batch Operations - [POST /accountDelegationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a account delegation process from the system by its ID. - [DELETE /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/deleteaccountdelegationprocess.md): This method will delete a account delegation process with the specified ID. ### Returns a account delegation process from the system by its ID. - [GET /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/getaccountdelegationprocess.md): This method will look up a account delegation process by the specified ID and return it back. ### Partially updates a account delegation process with the specified ID. - [PATCH /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/patchaccountdelegationprocess.md): This method will patch an existing account delegation process with the specified ID, using the HTTP PATCH specification. ### Updates a account delegation process with the specified ID. - [PUT /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/updateaccountdelegationprocess.md): This method will update an existing account delegation process with the specified ID. ## Address Types Address Types ### Gets all of the address types in the system. - [GET /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/listaddresstypes.md): This method will scan all address types and and return them to the caller. ### Creates a new address type record that does not already exist. - [POST /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/createaddresstype.md): This method will auto-generate an ID and create a new address type. If an ID is specified for the address type, an error will be thrown. ### Execute Batch Operations - [POST /addressTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a address type from the system by its ID. - [DELETE /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/deleteaddresstype.md): This method will delete a address type with the specified ID. ### Returns a address type from the system by its ID. - [GET /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/getaddresstype.md): This method will look up a address type by the specified ID and return it back. ### Partially updates a address type with the specified ID. - [PATCH /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/patchaddresstype.md): This method will patch an existing address type with the specified ID, using the HTTP PATCH specification. ### Updates a address type with the specified ID. - [PUT /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/updateaddresstype.md): This method will update an existing address type with the specified ID. ## Communication Types Communication Types ### Gets all of the communication types in the system. - [GET /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/listcommunicationtypes.md): This method will scan all communication types and and return them to the caller. ### Creates a new communication type record that does not already exist. - [POST /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/createcommunicationtype.md): This method will auto-generate an ID and create a new communication type. If an ID is specified for the communication type, an error will be thrown. ### Execute Batch Operations - [POST /communicationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a communication type from the system by its ID. - [DELETE /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/deletecommunicationtype.md): This method will delete a communication type with the specified ID. ### Returns a communication type from the system by its ID. - [GET /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/getcommunicationtype.md): This method will look up a communication type by the specified ID and return it back. ### Partially updates a communication type with the specified ID. - [PATCH /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/patchcommunicationtype.md): This method will patch an existing communication type with the specified ID, using the HTTP PATCH specification. ### Updates a communication type with the specified ID. - [PUT /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/updatecommunicationtype.md): This method will update an existing communication type with the specified ID. ## Contact Directories Contact Directories ### Gets all of the contact directories in the system. - [GET /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/listcontactdirectories.md): This method will scan all contact directories and and return them to the caller. ### Creates a new contact directory record that does not already exist. - [POST /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/createcontactdirectory.md): This method will auto-generate an ID and create a new contact directory. If an ID is specified for the contact directory, an error will be thrown. ### Execute Batch Operations - [POST /contactDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets an entry in the directory - [GET /contactDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getdirectoryentry.md) ### Searches the directory - [POST /contactDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchpublicdirectory.md) ### Sends a message to an entry in the directory - [POST /contactDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/senddirectorymessage.md) ### Returns a contact directory from the system by its ID. - [GET /contactDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getpublicdirectory.md): This method will look up a contact directory by the specified ID and return it back. ### Searches the directory - [POST /contactDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchdirectory.md) ### Returns a contact directory from the system by its ID. - [DELETE /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/deletecontactdirectory.md): This method will delete a contact directory with the specified ID. ### Returns a contact directory from the system by its ID. - [GET /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getcontactdirectory.md): This method will look up a contact directory by the specified ID and return it back. ### Partially updates a contact directory with the specified ID. - [PATCH /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/patchcontactdirectory.md): This method will patch an existing contact directory with the specified ID, using the HTTP PATCH specification. ### Updates a contact directory with the specified ID. - [PUT /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/updatecontactdirectory.md): This method will update an existing contact directory with the specified ID. ## Contact Districts Contact Districts ### Creates a new contact district record that does not already exist. - [POST /contactDistricts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/createcontactdistrict.md): This method will auto-generate an ID and create a new contact district. If an ID is specified for the contact district, an error will be thrown. ### Execute Batch Operations - [POST /contactDistricts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a contact district from the system by its ID. - [DELETE /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/deletecontactdistrict.md): This method will delete a contact district with the specified ID. ### Returns a contact district from the system by its ID. - [GET /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/getcontactdistrict.md): This method will look up a contact district by the specified ID and return it back. ### Partially updates a contact district with the specified ID. - [PATCH /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/patchcontactdistrict.md): This method will patch an existing contact district with the specified ID, using the HTTP PATCH specification. ### Updates a contact district with the specified ID. - [PUT /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/updatecontactdistrict.md): This method will update an existing contact district with the specified ID. ## Contact Duplicates Contact Duplicates ### Gets all of the contact duplicates in the system. - [GET /contactDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/listcontactduplicates.md): This method will scan all contact duplicates and and return them to the caller. ### Search for potential duplicates - [POST /contactDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/duplicatecheck.md): This method searches for potential duplicates ### Execute Batch Operations - [POST /contactDuplicates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Search for potential duplicates in the portal - [POST /contactDuplicates/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/portalduplicatecheck.md): This method searches for potential duplicates and returns masked validation options ### Returns a contact duplicate from the system by its ID. - [GET /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/getcontactduplicate.md): This method will look up a contact duplicate by the specified ID and return it back. ### Partially updates a contact duplicate with the specified ID. - [PATCH /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/patchcontactduplicate.md): This method will patch an existing contact duplicate with the specified ID, using the HTTP PATCH specification. ### Updates a contact duplicate with the specified ID. - [PUT /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/updatecontactduplicate.md): This method will update an existing contact duplicate with the specified ID. ## Contact Login Profiles Contact Login Profiles ### Creates a new contact login profile record that does not already exist. - [POST /contactLoginProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/createcontactloginprofile.md): This method will auto-generate an ID and create a new contact login profile. If an ID is specified for the contact login profile, an error will be thrown. ### Execute Batch Operations - [POST /contactLoginProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a contact login profile from the system by its ID. - [DELETE /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/deletecontactloginprofile.md): This method will delete a contact login profile with the specified ID. ### Returns a contact login profile from the system by its ID. - [GET /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/getcontactloginprofile.md): This method will look up a contact login profile by the specified ID and return it back. ### Partially updates a contact login profile with the specified ID. - [PATCH /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/patchcontactloginprofile.md): This method will patch an existing contact login profile with the specified ID, using the HTTP PATCH specification. ### Updates a contact login profile with the specified ID. - [PUT /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/updatecontactloginprofile.md): This method will update an existing contact login profile with the specified ID. ## Contact Role Rule Sets Contact Role Rule Sets ### Gets all of the contact role rule sets in the system. - [GET /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/listcontactrolerulesets.md): This method will scan all contact role rule sets and and return them to the caller. ### Creates a new contact role rule set record that does not already exist. - [POST /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/createcontactroleruleset.md): This method will auto-generate an ID and create a new contact role rule set. If an ID is specified for the contact role rule set, an error will be thrown. ### Execute Batch Operations - [POST /contactRoleRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a contact role rule set from the system by its ID. - [DELETE /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/deletecontactroleruleset.md): This method will delete a contact role rule set with the specified ID. ### Returns a contact role rule set from the system by its ID. - [GET /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/getcontactroleruleset.md): This method will look up a contact role rule set by the specified ID and return it back. ### Partially updates a contact role rule set with the specified ID. - [PATCH /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/patchcontactroleruleset.md): This method will patch an existing contact role rule set with the specified ID, using the HTTP PATCH specification. ### Updates a contact role rule set with the specified ID. - [PUT /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/updatecontactroleruleset.md): This method will update an existing contact role rule set with the specified ID. ## Contact Roles Contact Roles ### Gets all of the contact roles in the system. - [GET /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/listcontactroles.md): This method will scan all contact roles and and return them to the caller. ### Creates a new contact role record that does not already exist. - [POST /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/createcontactrole.md): This method will auto-generate an ID and create a new contact role. If an ID is specified for the contact role, an error will be thrown. ### Execute Batch Operations - [POST /contactRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a contact role from the system by its ID. - [DELETE /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/deletecontactrole.md): This method will delete a contact role with the specified ID. ### Returns a contact role from the system by its ID. - [GET /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/getcontactrole.md): This method will look up a contact role by the specified ID and return it back. ### Partially updates a contact role with the specified ID. - [PATCH /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/patchcontactrole.md): This method will patch an existing contact role with the specified ID, using the HTTP PATCH specification. ### Updates a contact role with the specified ID. - [PUT /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/updatecontactrole.md): This method will update an existing contact role with the specified ID. ## Contacts Contacts ### Creates a new contact record that does not already exist. - [POST /contacts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontact.md): This method will auto-generate an ID and create a new contact. If an ID is specified for the contact, an error will be thrown. ### Execute Batch Operations - [POST /contacts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Checks whether a contact can manage another - [GET /contacts/{tenantId}/checkManageability/{managerId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/checkmanageability.md): Checks to see if a contact is clear to manage another contact by email addess ### Returns the contact related to the currently logged in user - [GET /contacts/{tenantId}/current](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcurrentcontactfromcredentials.md): Returns the contact related to the currently logged in user ### Creates a new contact and links it to the currently logged in user - [POST /contacts/{tenantId}/current](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontactandlinkuser.md): Returns the new contact which is linked to the currently logged in user ### Get contacts (and descendants recursively) for an organization - [GET /contacts/{tenantId}/descendants/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/recursivelylistcontactsfororganizationid.md): Does a recursive lookup of contacts by organization ### Returns a list of records with the specified email_address - [GET /contacts/{tenantId}/emailAddress/{email_address}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress.md): Returns a list of records with the specified email_address ### Returns a list of records with the specified email_address2 - [GET /contacts/{tenantId}/emailAddress2/{email_address2}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress2.md): Returns a list of records with the specified email_address2 ### Returns a list of records with the specified email_address3 - [GET /contacts/{tenantId}/emailAddress3/{email_address3}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress3.md): Returns a list of records with the specified email_address3 ### Finds all conflicting fields for contacts - [POST /contacts/{tenantId}/generateMergedObject](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/generatemergedobject.md): This method will load contacts, compare them, and return all fields that are in conflict ### Finds all conflicting fields for contacts - [GET /contacts/{tenantId}/getFieldConflicts/{ids}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getfieldconflicts.md): This method will load contacts, compare them, and return all fields that are in conflict ### Returns a single contact by number - [GET /contacts/{tenantId}/number/{number}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/readcontactbynumber.md): Returns a single contact by number ### Finds contacts for an organization - [GET /contacts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyorganizationid.md): Returns a list of records with the specified organization_id. If the list is large, a results_uri is returned with a list that can be downloaded. ### Returns the contact related to the currently logged in user - [GET /contacts/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontactfromportaluser.md): Returns the contact related to the currently logged in user ### Initiates a workflow to create a new contact and try to link them to an existing organization - [POST /contacts/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontactandlinkportaluser.md): Returns the new contact which is linked to the currently logged in user ### Gets a contact by an email address - [GET /contacts/{tenantId}/portal/emailAddress/{email_address}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontactbyemailaddress.md): Returns the appropriate contact ID for an email, can be called by the portal and useful in duplicate prevention ### Sends an authorization email then links the current user to a contact with a different email address - [POST /contacts/{tenantId}/portal/{emailAddress}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/authorizeandlinkalternateemail.md): Sends an authorization email then links the current user to a contact with a different email address ### Returns a list of records with the specified portal_delegate_id - [GET /contacts/{tenantId}/portalDelegate/{portal_delegate_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyportaldelegateid.md): Returns a list of records with the specified portal_delegate_id ### Searches for contacts using predefined parameters - [POST /contacts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/searchforcontacts.md): Searches for contacts using predefined parameters ### Looks up a social profile and returns what is found to the user - [GET /contacts/{tenantId}/socialProfile/{emailAddress}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getsocialprofile.md): This method will make a call and parse/return the results ### Returns a contact from the system by its ID. - [DELETE /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/deletecontact.md): This method will delete a contact with the specified ID. ### Returns a contact from the system by its ID. - [GET /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontact.md): This method will look up a contact by the specified ID and return it back. ### Partially updates a contact with the specified ID. - [PATCH /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/patchcontact.md): This method will patch an existing contact with the specified ID, using the HTTP PATCH specification. ### Updates a contact with the specified ID. - [PUT /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/updatecontact.md): This method will update an existing contact with the specified ID. ### Updates a contact with data merged from other contacts then signals other microservices to complete the merge - [PUT /contacts/{tenantId}/{id}/merge](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/mergecontacts.md): Updates a contact with data merged from other contacts then signals other microservices to complete the merge ## Custom Activities Custom Activities ### Gets all of the custom activities in the system. - [GET /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listcustomactivities.md): This method will scan all custom activities and and return them to the caller. ### Creates a new custom activity record that does not already exist. - [POST /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/createcustomactivity.md): This method will auto-generate an ID and create a new custom activity. If an ID is specified for the custom activity, an error will be thrown. ### Execute Batch Operations - [POST /customActivities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /customActivities/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbycontactid.md): Returns a list of records with the specified contact_id ### Returns a list of records with the specified organization_id - [GET /customActivities/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a custom activity from the system by its ID. - [DELETE /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/deletecustomactivity.md): This method will delete a custom activity with the specified ID. ### Returns a custom activity from the system by its ID. - [GET /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/getcustomactivity.md): This method will look up a custom activity by the specified ID and return it back. ### Partially updates a custom activity with the specified ID. - [PATCH /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/patchcustomactivity.md): This method will patch an existing custom activity with the specified ID, using the HTTP PATCH specification. ### Updates a custom activity with the specified ID. - [PUT /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/updatecustomactivity.md): This method will update an existing custom activity with the specified ID. ## Custom Activity Types Custom Activity Types ### Gets all of the custom activity types in the system. - [GET /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/listcustomactivitytypes.md): This method will scan all custom activity types and and return them to the caller. ### Creates a new custom activity type record that does not already exist. - [POST /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/createcustomactivitytype.md): This method will auto-generate an ID and create a new custom activity type. If an ID is specified for the custom activity type, an error will be thrown. ### Execute Batch Operations - [POST /customActivityTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a custom activity type from the system by its ID. - [DELETE /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/deletecustomactivitytype.md): This method will delete a custom activity type with the specified ID. ### Returns a custom activity type from the system by its ID. - [GET /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/getcustomactivitytype.md): This method will look up a custom activity type by the specified ID and return it back. ### Partially updates a custom activity type with the specified ID. - [PATCH /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/patchcustomactivitytype.md): This method will patch an existing custom activity type with the specified ID, using the HTTP PATCH specification. ### Updates a custom activity type with the specified ID. - [PUT /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/updatecustomactivitytype.md): This method will update an existing custom activity type with the specified ID. ## Custom Engagement Metrics Custom Engagement Metrics ### Gets all of the custom engagement metrics in the system. - [GET /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/listcustomengagementmetrics.md): This method will scan all custom engagement metrics and and return them to the caller. ### Creates a new custom engagement metric record that does not already exist. - [POST /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/createcustomengagementmetric.md): This method will auto-generate an ID and create a new custom engagement metric. If an ID is specified for the custom engagement metric, an error will be thrown. ### Execute Batch Operations - [POST /customEngagementMetrics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a custom engagement metric from the system by its ID. - [DELETE /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/deletecustomengagementmetric.md): This method will delete a custom engagement metric with the specified ID. ### Returns a custom engagement metric from the system by its ID. - [GET /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/getcustomengagementmetric.md): This method will look up a custom engagement metric by the specified ID and return it back. ### Partially updates a custom engagement metric with the specified ID. - [PATCH /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/patchcustomengagementmetric.md): This method will patch an existing custom engagement metric with the specified ID, using the HTTP PATCH specification. ### Updates a custom engagement metric with the specified ID. - [PUT /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/updatecustomengagementmetric.md): This method will update an existing custom engagement metric with the specified ID. ## Engagement Categories Engagement Categories ### Gets all of the engagement categories in the system. - [GET /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/listengagementcategories.md): This method will scan all engagement categories and and return them to the caller. ### Creates a new engagement category record that does not already exist. - [POST /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/createengagementcategory.md): This method will auto-generate an ID and create a new engagement category. If an ID is specified for the engagement category, an error will be thrown. ### Execute Batch Operations - [POST /engagementCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a engagement category from the system by its ID. - [DELETE /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/deleteengagementcategory.md): This method will delete a engagement category with the specified ID. ### Returns a engagement category from the system by its ID. - [GET /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/getengagementcategory.md): This method will look up a engagement category by the specified ID and return it back. ### Partially updates a engagement category with the specified ID. - [PATCH /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/patchengagementcategory.md): This method will patch an existing engagement category with the specified ID, using the HTTP PATCH specification. ### Updates a engagement category with the specified ID. - [PUT /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/updateengagementcategory.md): This method will update an existing engagement category with the specified ID. ## Engagement Models Engagement Models ### Gets all of the engagement models in the system. - [GET /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/listengagementmodels.md): This method will scan all engagement models and and return them to the caller. ### Creates a new engagement model record that does not already exist. - [POST /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/createengagementmodel.md): This method will auto-generate an ID and create a new engagement model. If an ID is specified for the engagement model, an error will be thrown. ### Execute Batch Operations - [POST /engagementModels/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a engagement model from the system by its ID. - [DELETE /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/deleteengagementmodel.md): This method will delete a engagement model with the specified ID. ### Returns a engagement model from the system by its ID. - [GET /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/getengagementmodel.md): This method will look up a engagement model by the specified ID and return it back. ### Partially updates a engagement model with the specified ID. - [PATCH /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/patchengagementmodel.md): This method will patch an existing engagement model with the specified ID, using the HTTP PATCH specification. ### Updates a engagement model with the specified ID. - [PUT /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/updateengagementmodel.md): This method will update an existing engagement model with the specified ID. ## Engagement Scores Engagement Scores ### Returns a list of records with the specified customer_id - [GET /engagementScores/{tenantId}/customer/{customer_type}/{customer_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/listscoresbycustomerid.md): Returns a list of records with the specified customer_id ### Get Metrics - [GET /engagementScores/{tenantId}/metrics](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getmetrics.md): Gets a list of all metrics ### Initiate Engagement Metric Lookback - [POST /engagementScores/{tenantId}/performLookback](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/performlookback.md): Initiates a lookback write of engagement-related data ### Get Raw Metric Data for Customer - [GET /engagementScores/{tenantId}/rawMetricData/{customerType}/{customerId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getrawmetricdataforcustomer.md): Gets the raw metric data for a customer ### Regenerate scores - [POST /engagementScores/{tenantId}/regenerateScores](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/regeneratescores.md): Regenerates scores when a scoring model has changed ### Returns a engagement score from the system by its ID. - [GET /engagementScores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getengagementscore.md): This method will look up a engagement score by the specified ID and return it back. ## Organization Directories Organization Directories ### Gets all of the organization directories in the system. - [GET /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/listorganizationdirectories.md): This method will scan all organization directories and and return them to the caller. ### Creates a new organization directory record that does not already exist. - [POST /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/createorganizationdirectory.md): This method will auto-generate an ID and create a new organization directory. If an ID is specified for the organization directory, an error will be thrown. ### Execute Batch Operations - [POST /organizationDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets an entry in the directory - [GET /organizationDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getdirectoryentry.md) ### Searches the directory - [POST /organizationDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchpublicdirectory.md) ### Sends a message to an entry in the directory - [POST /organizationDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/senddirectorymessage.md) ### Returns a organization directory from the system by its ID. - [GET /organizationDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getpublicdirectory.md): This method will look up a organization directory by the specified ID and return it back. ### Searches the directory - [POST /organizationDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchdirectory.md) ### Returns a organization directory from the system by its ID. - [DELETE /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/deleteorganizationdirectory.md): This method will delete a organization directory with the specified ID. ### Returns a organization directory from the system by its ID. - [GET /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getorganizationdirectory.md): This method will look up a organization directory by the specified ID and return it back. ### Partially updates a organization directory with the specified ID. - [PATCH /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/patchorganizationdirectory.md): This method will patch an existing organization directory with the specified ID, using the HTTP PATCH specification. ### Updates a organization directory with the specified ID. - [PUT /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/updateorganizationdirectory.md): This method will update an existing organization directory with the specified ID. ## Organization Duplicates Organization Duplicates ### Gets all of the organization duplicates in the system. - [GET /organizationDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/listorganizationduplicates.md): This method will scan all organization duplicates and and return them to the caller. ### Search for potential duplicates - [POST /organizationDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/duplicatecheck.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ### Returns a organization duplicate from the system by its ID. - [GET /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/getorganizationduplicate.md): This method will look up a organization duplicate by the specified ID and return it back. ### Partially updates a organization duplicate with the specified ID. - [PATCH /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/patchorganizationduplicate.md): This method will patch an existing organization duplicate with the specified ID, using the HTTP PATCH specification. ### Updates a organization duplicate with the specified ID. - [PUT /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/updateorganizationduplicate.md): This method will update an existing organization duplicate with the specified ID. ## Organization Types Organization Types ### Gets all of the organization types in the system. - [GET /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/listorganizationtypes.md): This method will scan all organization types and and return them to the caller. ### Creates a new organization type record that does not already exist. - [POST /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/createorganizationtype.md): This method will auto-generate an ID and create a new organization type. If an ID is specified for the organization type, an error will be thrown. ### Execute Batch Operations - [POST /organizationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a organization type from the system by its ID. - [DELETE /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/deleteorganizationtype.md): This method will delete a organization type with the specified ID. ### Returns a organization type from the system by its ID. - [GET /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/getorganizationtype.md): This method will look up a organization type by the specified ID and return it back. ### Partially updates a organization type with the specified ID. - [PATCH /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/patchorganizationtype.md): This method will patch an existing organization type with the specified ID, using the HTTP PATCH specification. ### Updates a organization type with the specified ID. - [PUT /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/updateorganizationtype.md): This method will update an existing organization type with the specified ID. ## Organizations Organizations ### Creates a new organization record that does not already exist. - [POST /organizations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/createorganization.md): This method will auto-generate an ID and create a new organization. If an ID is specified for the organization, an error will be thrown. ### Execute Batch Operations - [POST /organizations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Get all descendent organizations - [GET /organizations/{tenantId}/descendents/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getdescendents.md): Recursively finds all descendents to an organization ### Returns the organization matching the specified domain_name - [GET /organizations/{tenantId}/domain_name/{domain_name}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganizationbydomainname.md): Returns the organization matching the specified domain_name ### Finds all conflicting fields for organizations - [GET /organizations/{tenantId}/getFieldConflicts/{ids}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getfieldconflicts.md): This method will load organizations, compare them, and return all fields that are in conflict ### Returns a list of records with the specified parent_organization_id - [GET /organizations/{tenantId}/parentOrganization/{parent_organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/listorganizationsbyparentorganizationid.md): Returns a list of records with the specified parent_organization_id ### Sends out a preview of the CRC notification email - [POST /organizations/{tenantId}/previewContactRoleComplianceEmail](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/previewcontactrolecomplianceemail.md): Sends out a preview of the CRC notification email ### Get publicly available information for an org - [GET /organizations/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/publicreadorg.md): This method will return the publicly accessible information for an org. It is used on the portal to make authenticated requests to users who are not yet tied to the organization ### Re-runs compliance for all organizations in the system - [POST /organizations/{tenantId}/reprocessCompliance](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/reprocesscompliance.md): Given a set of expiration options, allows for the calculation of an expiration date ### Searches for organizations using predefined parameters - [POST /organizations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/searchfororganizations.md): Searches for organizations using predefined parameters ### Looks up a social profile and returns what is found to the user - [GET /organizations/{tenantId}/socialProfile/{domain}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getsocialprofile.md): This method will make a call and parse/return the results ### Returns a organization from the system by its ID. - [DELETE /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/deleteorganization.md): This method will delete a organization with the specified ID. ### Returns a organization from the system by its ID. - [GET /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganization.md): This method will look up a organization by the specified ID and return it back. ### Partially updates a organization with the specified ID. - [PATCH /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/patchorganization.md): This method will patch an existing organization with the specified ID, using the HTTP PATCH specification. ### Updates a organization with the specified ID. - [PUT /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/updateorganization.md): This method will update an existing organization with the specified ID. ### Updates a organization with data merged from other organizations then signals other microservices to complete the merge - [PUT /organizations/{tenantId}/{id}/merge](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/mergeorganizations.md): Updates a organization with data merged from other organizations then signals other microservices to complete the merge ## Phone Number Types Phone Number Types ### Gets all of the phone number types in the system. - [GET /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/listphonenumbertypes.md): This method will scan all phone number types and and return them to the caller. ### Creates a new phone number type record that does not already exist. - [POST /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/createphonenumbertype.md): This method will auto-generate an ID and create a new phone number type. If an ID is specified for the phone number type, an error will be thrown. ### Returns a phone number type from the system by its ID. - [DELETE /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/deletephonenumbertype.md): This method will delete a phone number type with the specified ID. ### Returns a phone number type from the system by its ID. - [GET /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/getphonenumbertype.md): This method will look up a phone number type by the specified ID and return it back. ### Partially updates a phone number type with the specified ID. - [PATCH /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/patchphonenumbertype.md): This method will patch an existing phone number type with the specified ID, using the HTTP PATCH specification. ### Updates a phone number type with the specified ID. - [PUT /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/updatephonenumbertype.md): This method will update an existing phone number type with the specified ID. ## Query Definitions Query Definitions ### Returns a list of records - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/query-definitions/getquerydefinitions.md): Returns a list of records ## Region Configurations Region Configurations ### Returns a region configuration from the system by its ID. - [DELETE /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/deleteregionconfiguration.md): This method will delete a region configuration with the specified ID. ### Returns a region configuration from the system by its ID. - [GET /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/getregionconfiguration.md): This method will look up a region configuration by the specified ID and return it back. ### Partially updates a region configuration with the specified ID. - [PATCH /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/patchregionconfiguration.md): This method will patch an existing region configuration with the specified ID, using the HTTP PATCH specification. ### Creates a new region configuration record that does not already exist. - [POST /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/createregionconfiguration.md): This method will auto-generate an ID and create a new region configuration. If an ID is specified for the region configuration, an error will be thrown. ### Updates a region configuration with the specified ID. - [PUT /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/updateregionconfiguration.md): This method will update an existing region configuration with the specified ID. ## Regions Regions ### Gets all of the regions in the system. - [GET /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/listregions.md): This method will scan all regions and and return them to the caller. ### Creates a new region record that does not already exist. - [POST /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/createregion.md): This method will auto-generate an ID and create a new region. If an ID is specified for the region, an error will be thrown. ### Execute Batch Operations - [POST /regions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Recalculate Region Assignments - [POST /regions/{tenantId}/recalculate](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/recalculateregionassignments.md): Goes through and recalculates all region assignments ### Returns a region from the system by its ID. - [DELETE /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/deleteregion.md): This method will delete a region with the specified ID. ### Returns a region from the system by its ID. - [GET /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/getregion.md): This method will look up a region by the specified ID and return it back. ### Partially updates a region with the specified ID. - [PATCH /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/patchregion.md): This method will patch an existing region with the specified ID, using the HTTP PATCH specification. ### Updates a region with the specified ID. - [PUT /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/updateregion.md): This method will update an existing region with the specified ID. ## Relationship Types Relationship Types ### Gets all of the relationship types in the system. - [GET /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/listrelationshiptypes.md): This method will scan all relationship types and and return them to the caller. ### Creates a new relationship type record that does not already exist. - [POST /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/createrelationshiptype.md): This method will auto-generate an ID and create a new relationship type. If an ID is specified for the relationship type, an error will be thrown. ### Execute Batch Operations - [POST /relationshipTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a relationship type from the system by its ID. - [DELETE /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/deleterelationshiptype.md): This method will delete a relationship type with the specified ID. ### Returns a relationship type from the system by its ID. - [GET /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/getrelationshiptype.md): This method will look up a relationship type by the specified ID and return it back. ### Partially updates a relationship type with the specified ID. - [PATCH /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/patchrelationshiptype.md): This method will patch an existing relationship type with the specified ID, using the HTTP PATCH specification. ### Updates a relationship type with the specified ID. - [PUT /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/updaterelationshiptype.md): This method will update an existing relationship type with the specified ID. ## Relationships Relationships ### Creates a new relationship record that does not already exist. - [POST /relationships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/createrelationship.md): This method will auto-generate an ID and create a new relationship. If an ID is specified for the relationship, an error will be thrown. ### Execute Batch Operations - [POST /relationships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified left_side_id - [GET /relationships/{tenantId}/leftSide/{left_side_type}/{left_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyleftsideid.md): Returns a list of records with the specified left_side_id ### Returns a list of records with the specified right_side_id - [GET /relationships/{tenantId}/rightSide/{right_side_type}/{right_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyrightsideid.md): Returns a list of records with the specified right_side_id ### Returns a relationship from the system by its ID. - [DELETE /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/deleterelationship.md): This method will delete a relationship with the specified ID. ### Returns a relationship from the system by its ID. - [GET /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/getrelationship.md): This method will look up a relationship by the specified ID and return it back. ### Partially updates a relationship with the specified ID. - [PATCH /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/patchrelationship.md): This method will patch an existing relationship with the specified ID, using the HTTP PATCH specification. ### Updates a relationship with the specified ID. - [PUT /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/updaterelationship.md): This method will update an existing relationship with the specified ID. ## Settings Settings ### Returns a setting from the system by its ID. - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/deletesetting.md): This method will delete a setting with the specified ID. ### Returns a setting from the system by its ID. - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back. ### Partially updates a setting with the specified ID. - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification. ### Creates a new setting record that does not already exist. - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown. ### Updates a setting with the specified ID. - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID. ## Statistics Statistics ### Execute Batch Operations - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a statistic from the system by its ID. - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back.